Subject: bug#57531: 28.1; Character encoding missing for "eo"

From: Po Lu <[email-masked]>
Date: Tue, 04 Oct 2022 21:16:39 +0800

Lars Ingebrigtsen <[email-masked]> writes:

> 1) The "eo" environment should be in utf-8 -- all the indications seem
> to point to that, except some outdated Debian files that nobody else
> uses but Emacs.

/usr/share/locale/locale.alias may be an obsolete Debian file, but
/usr/share/X11/locale/locale.alias is not; the X library looks there to
resolve locales that come from many sources, including input methods.

That means if an input method asks for "EO", it really means
"eo_EO.ISO8859-3", and the text it generates will also be Latin-3.

If we make "eo" mean UTF-8, then that text will no longer be decoded
correctly.